Summary:	A keyboard configuration library
Summary(pl.UTF-8):	Biblioteka do konfiguracji klawiatury
Name:		libgnomekbd
Version:	3.26.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomekbd/3.26/%{name}-%{version}.tar.xz
# Source0-md5:	8b9d13d46255cde910b3db5a6ebb4727
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	libtool
BuildRequires:	libxklavier-devel >= 5.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.593
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	libxklavier >= 5.2
Conflicts:	control-center < 1:2.17.92
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libgnomekbd package contains a GNOME library which manages
keyboard configuration and offers various widgets related to keyboard
configuration.

%description -l pl.UTF-8
Pakiet libgnomekbd zawiera bibliotekę GNOME zarządzającą konfiguracją
klawiatury i oferującą różne widgety związane z konfiguracją
klawiatury.

%package devel
Summary:	Header files for libgnomekbd
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgnomekbd
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+3-devel >= 3.0.0
Requires:	libxklavier-devel >= 5.2

%description devel
Header files for libgnomekbd.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgnomekbd.

%package static
Summary:	Static libgnomekbd library
Summary(pl.UTF-8):	Statyczna biblioteka libgnomekbd
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgnomekbd library.

%description static -l pl.UTF-8
Statyczna biblioteka libgnomekbd.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%glib_compile_schemas

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/gkbd-keyboard-display
%attr(755,root,root) %{_libdir}/libgnomekbd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomekbd.so.8
%attr(755,root,root) %{_libdir}/libgnomekbdui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomekbdui.so.8
%{_desktopdir}/gkbd-keyboard-display.desktop
%{_datadir}/GConf/gsettings/libgnomekbd.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/libgnomekbd
%{_libdir}/girepository-1.0/Gkbd-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomekbd.so
%attr(755,root,root) %{_libdir}/libgnomekbdui.so
%{_includedir}/libgnomekbd
%{_pkgconfigdir}/libgnomekbd.pc
%{_pkgconfigdir}/libgnomekbdui.pc
%{_datadir}/gir-1.0/Gkbd-3.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomekbd.a
%{_libdir}/libgnomekbdui.a
%changelog
* Mon Sep 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnomekbd.git;a=log;h=master

* Tue Sep 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 2a7455e
- Update to 3.26.0

* Fri Oct 28 2016 Jakub Bogusz <qboosh@pld-linux.org> b8d3f3d
- gettext version

* Wed Sep 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 87f100d
- Update to 3.22.0.1

* Tue May 05 2015 Jan Rękorajski <baggins@pld-linux.org> 1ac7f17
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e2d5bf7
- updated gettext BR

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 045ac79
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 39ccfbd
- Updated to 3.6.0. Removed applied upstream -install.patch

* Thu Sep 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 6c78dc9
- package NEWS
- BR/R update

* Fri Apr 13 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 31ee493
- updated to 3.4.0.2
- added -install.patch to fix problems with install (patch from upstream)

* Mon Mar 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> fc0f16f
- updated to 3.4.0.1

* Sun Mar 25 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 5faf4b5
- updated to 3.4.0; merged changes from DEVEL

* Wed Sep 28 2011 Łukasz Kieś <kiesiu@pld-linux.org> ff380fa
- updated to 3.2.0; merged from DEVEL

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> feef7dc
- up to 3.0.0.1

* Mon Apr 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 18f280e
- updated to 3.0.0; merged from DEVEL

* Tue Dec 28 2010 Artur Frysiak <artur@frysiak.net> 9ab9202
- 2.91.4

* Wed Sep 29 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 146eaff
- updated to 2.32.0; merged changes from DEVEL

* Tue Jun 22 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ab3343e
- updated to 2.30.2

* Mon Apr 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 251c6dc
- updated to 2.30.1

* Mon Mar 29 2010 Marcin Banasiak <marcin.banasiak@gmail.com> c1a4ac7
- updated to 2.30.0; merged changes from DEVEL

* Sat Jan 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8419b97
- release 2

